
### DB
Extensions for storage of interaction data -> define common interface?
- Just store in files. (pickle?)
- different dbs?

also loading, config by specific name or interaction or just by "last"

provide common directory


#### Clean DB extensions
just provide an extension for storing and retrieving stuff from a db

### Tiers like in Flexdiam

### Submodules
own little supervisor as an extension


## standard extensions

### GUIS
gui that communicates with one main gui

or for module own gui

### Logging

provide standard interface. 

Arch config: logging level.

log to file, or also send it via a communication service

### Communication and Feature Graph Extension


### Hierarchical Hooks
